


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

main() {
unsigned char b;
int h;
int i;
float x;
double y;
char str [32] ;
static void one(unsigned char b,int h,int i,float x,double y,char * str) {
if (b!=1 || h!=2 || i!=3 || x!=4 || y!=5 || strcmp(str,"STR")!=0) {assert(_IMP_MONITOR_); exit(0);}
}
static void two(unsigned char *b,int *h,int *i,float *x,double *y,char * str) {
if (*b!=1 || *h!=2 || *i!=3 || *x!=4 || *y!=5 || strcmp(str,"STR")!=0) {assert(_IMP_MONITOR_); exit(0);}
}
 b=1;	 h=2;	 i=3;	 x=(double)4;	 y=(double)5;	 strcpy(str,"STR");
 one(1,2,3,(double)4,(double)5,"STR");
 one(b,h,i,x,y,str);
 two(&b,&h,&i,&x,&y,str);
 fprintf(out_file, "%s", "TEST OK");
exit(0);
}

/* end of automatic translation */

